%!TEX root=../../../../thesis.tex
%!TEX file=tables/cosserat-rod/bsplines/natural-frequencies/degree-03.tex

% Uses data from files
% data/cosserat-rod/bsplines/natural-frequencies/tension-0N/degree-03.dat
%
% Uses columns
%   w1
%   we1
%   w5
%   we5
%   w10
%   we10
%   w20
%   we20
%   wr20

\pgfplotstableread[%
  col sep=comma,%
]{data/cosserat-rod/bsplines/natural-frequencies/tension-0N/degree-03.dat}{\loadedtable}

\pgfkeys{
  /pgfplots/table/print last n rows/.style={%
    row predicate/.code={%
      % Calculate where to start printing, use `truncatemacro` to get an integer without .0
      \pgfmathtruncatemacro\firstprintedrownumber{\pgfplotstablerows-#1}%
      \ifnum##1<\firstprintedrownumber\relax%
        \pgfplotstableuserowfalse%
      \fi%
    }%
  },%
  /pgfplots/table/print last n rows/.default=1,%
  /pgfplots/table/print first n rows/.style={%
    skip rows between index={#1}{\pgfplotstablerows},%
    row predicate/.code={%
      \pgfmathtruncatemacro\lastprintedrownumber{#1-1}%
      \ifnum\lastprintedrownumber<##1\relax%
        \pgfplotstableuserowfalse%
      \fi%
    },%
  },%
  /pgfplots/table/print first n rows/.default=1,%
}

\pgfplotstabletypeset[%
    % Select only these columns
    columns={n,w1,wp1,w5,wp5,w10,wp10,w20,wp20,wr20},%
    % Print only first 20 rows
    print first n rows=20,%
    % Set header
    every head row/.append style={%
      before row={%
        \toprule
        & \multicolumn{2}{c}{$\numsegments = 1$}
        & \multicolumn{2}{c}{$\numsegments = 5$}
        & \multicolumn{2}{c}{$\numsegments = 10$}
        & \multicolumn{2}{c}{$\numsegments = 20$}
        & {Reference}
        \\
      },%
    },%
  ]{\loadedtable}
